version: '3'

services:
  forgejo_server:
    image: codeberg.org/forgejo/forgejo:1.20
    container_name: forgejo
    environment:
      - USER_UID=1000
      - USER_GID=1000
      - FORGEJO__database__DB_TYPE=mysql
      - FORGEJO__database__HOST=noveria_db:3306
      - FORGEJO__database__NAME=forgejo
      - FORGEJO__database__USER={{ MARIADB_USER }}
      - FORGEJO__database__PASSWD={{ MARIADB_USER_PASSWORD }}
    restart: always
    volumes:
      - ./data:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

networks:
  default:
    external: true
    name: noveria
